 /*******************************************************
 * システム名 物品コア
 * サブシステム名 入札手続支援サブシステム
 *
 * 証明書書提出機能
 * @author  NEC
 * @version 1.0, 2002.08.06, 新規作成<BR>
 *          1.1, 2003.06.14, V3総合186対応<BR>
 *          1.2, 2003.06.18, V3結合032対応<BR>
 *          3.1, 2003.08.25, 乱数署名のオプション化対応<BR>
 *          3.1, 2003.10.21, V3.1-統合-36対応<BR> 
 *          4.1, 2005.03.06, V4.1-総合-S041対応
 *******************************************************/
var sizeCheck;

//==========================================================
//
// HTML読込時処理
//
//==========================================================
function onStart()
{
  onLoad();

  // ファイル名設定処理
  begin();
  if( document.commonData.preScreenID.value=="JPD001" ){
    // 案件一覧から遷移した場合はセッション情報から添付資料情報をクリア
    execute( "copyString(value:'', session:'applicationFileName')" );
  }
  else {
    // 案件一覧画面から遷移した場合はセッション情報から添付資料情報を取得
// ***** DEL 2005.03.06 START *****
//    execute("copyString(session:applicationFileName, script:'ApplicationFileName')");
// ***** DEL 2005.03.06 END   *****
    execute("copyString(session:'applicationFileName', script:'ApplicationFileName')");
  }
  commit();

}//onStart

//==========================================================
//
// 戻るボタン押下時処理
//
//==========================================================
function onReturn()
{
  begin();

  // 共通アプレットのプロパティの添付ファイル名をクリア
// ***** DEL 2005.03.06 START *****
//  execute("copyString(value:'', session:applicationFileName)");
// ***** DEL 2005.03.06 END   *****
// ***** ADD 2005.03.06 START *****
  execute("copyString(value:'', session:'applicationFileName')");
// ***** ADD 2005.03.06 END   *****

  commit();

  returnProjectList('J502JPD001');
}//onReturn

//==========================================================
//
// 提出内容確認画面表示
//
//==========================================================
function moveSubmitConfirm()
{
  var errmsg="";
  // dispatch共通前処理
  if( !prepareDispatch( document.formRegist, 'J525JCE002' ) )
  {
    return;
  }

  // 連絡先の登録
  document.formRegist.contactPersonName.value = document.formStatus.contactPersonName.value;
  document.formRegist.contactTelephone.value = document.formStatus.contactTelephone.value;
  document.formRegist.contactFacsimile.value = document.formStatus.contactFacsimile.value;
  document.formRegist.contactMailAddress.value = document.formStatus.contactMailAddress.value;

  /* ICカード変更確認結果を返す。 */
  begin();
  execute("Utils.isIcCardChanged(script:'IcCardCheckResult')");
  commit();

  begin();

  // 共通アプレットのプロパティに添付ファイル名をコピー
  execute("copyString(script:'ApplicationFileName', session:'applicationFileName')");

  // ファイルサイズチェック
  execute("Shinseisyo.checkSize(session:'applicationFileName', script:'ApplicationFileSize')");

  /* 共通アプレットのプロパティにomeBeforeRequestNameを登録する */
  execute("copyString(value:'" + getBeforeRequestName() + "', omeBeforeRequestName)");

  // 乱数署名コマンドを呼び出す
  execute("RandomSign.sign(script:'SignedRandomKey')");

  // submitApplication呼び出し
  execute("callScript(value:'submitApplicationConfirm')");

  commit();
}//moveSubmitConfirm

//==========================================================
//
// 添付資料サイズチェック結果設定処理
//
//==========================================================
function setApplicationFileSize( fileSize )
{
  if( !checkNumber(fileSize) || Number(fileSize)<=0 )
  {
    sizeCheck=false;
  }
  else
  {
    sizeCheck=true;
    commandFormObj.fileSize.value=fileSize;
  }
}//setApplicationFileSize

//==========================================================
//
// 申請書提出内容確認画面表示リクエスト送信
//
//==========================================================
function submitApplicationConfirm()
{
  if( sizeCheck )
  {
    // サイズチェックの結果がOKの場合
    commandFormObj.RandomRequestKey.value=getSignedRandomKey();
    doSubmit();
    commandFormObj.submit();
  }

  resetCommandFormObj();
}//submitApplicationConfirm

//==========================================================
//
// 申請書ファイル名取得
//
//==========================================================
function getApplicationFileName()
{
  return document.formStatus.attachFile.value;
}//getApplicationFileName

//==========================================================
//
// 申請書ファイル名設定
//
//==========================================================
function setApplicationFileName( fileName )
{
  document.formStatus.attachFile.value=fileName;
}//setApplicationFileName
